------------------------------------------------------------------------------
--
-- Filename:                nand2.vhd
-- Inhalt:                  Modell eines NAND-Gatters mit 2 Eingaengen,
--                          verwendet Ports vom Typ "bit"
--
------------------------------------------------------------------------------
--
-- Autor:                   Bernhard Wunder  
-- Letzte Aenderung:        18.01.1994
--
------------------------------------------------------------------------------

ENTITY nand2 IS 

   PORT (a,b: IN bit; y: OUT bit);

END nand2;

------------------------------------------------------------------------------

ARCHITECTURE number_one OF nand2 IS

BEGIN

   y <= a NAND b;                   -- Verhaltensbeschreibung

END number_one;

------------------------------------------------------------------------------

CONFIGURATION nand2_config OF nand2 IS

    FOR number_one                  -- verknuepfe Architektur
    END FOR;                        -- "number_one" mit Entity "nand2"

END nand2_config;

