------------------------------------------------------------------------------
--
-- Filename:                mux.vhd
-- Inhalt:                  1 aus 4 Multiplexer
--
------------------------------------------------------------------------------
--
-- Autor:                   Gunther Lehmann
-- Letzte Aenderung:        07.02.94
--
------------------------------------------------------------------------------

USE work.bcd.ALL;

ENTITY mux IS
	PORT( inp: IN inptype;
		outp: OUT bit_vector ( 0 TO 3);
		sel: IN bit_vector ( 0 TO 1));
END mux;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF mux IS
BEGIN
    PROCESS (sel,inp)
    BEGIN
	CASE sel IS
		WHEN "00" => outp <= inp(0);
		WHEN "01" => outp <= inp(1);
		WHEN "10" => outp <= inp(2);
		WHEN "11" => outp <= inp(3);
	END CASE;
    END PROCESS;
END behavioral;
	
